#include<stdio.h>
#include<math.h>

int main()
{
    int i,n,largest,smallest,odd,even,ary[15];

    printf("How many integer?:");
    scanf("%d",&n);
    
    for ( i = 0; i < n; i++)
    {
        printf("Enter integer:");
        scanf("%d",&ary[i]);
    }

    largest = ary[0];
    smallest = ary[0];
    odd = 0;
    even = 0;

    for ( i = 1; i < n; i++)
    {
        if ( ary[i] > largest)
        {
            largest = ary[i];
        }

        if ( ary[i] < smallest)
        {
            smallest = ary[i];
        }
    }

    for ( i = 0; i < n; i++)
    {
        if ( ary[i]%2 == 0 )
        {
            even++;
        }
        else
        {
            odd++;
        }
    }

    printf("\nLargest= %d", largest);
    printf("\nSmallest= %d", smallest);
    printf("\nEven= %d", even);
    printf("\nOdd= %d", odd);

}
